;;; init.el --- Init de emacs ordenado -*- lexical-binding: t -*-

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;; Desde aquí se cargan todos los archivos de la carpeta config.

;;; Code:

;; Cargar configuraciones

(add-to-list 'load-path (concat user-emacs-directory "configs"))

;; Paquetes base
(require 'init-base)
(require 'init-theme)
(require 'init-packages)
(require 'init-functions)
(require 'init-vc)
(require 'init-org)
(require 'init-eglot)
(require 'init-corfu)
;; (require 'init-ctags)
(require 'init-minibuffer)
;; (require 'init-evil)
(require 'init-keys)

;; Lenguajes
(require 'lang-php)
(require 'lang-js)
(require 'lang-go)
(require 'lang-rust)
(require 'lang-html)

(provide 'init)
;;; init.el ends here
